=== debian/changelog ===
neartree (3.0.1-1) unstable; urgency=low

  * New upstream version.
  * Update binary package names to the new soname (5).
  * control:
    - Drop the soname version from the development package name
    - Conflict with the old development package libcneartree3-dev
    - Update to standards-version 3.9.1
    - Update descriptions
  * Use Debian source package format '3.0 (quilt)'.
  * Add a DEP-3 patch header for Makefile fixes.
  * Do not install *.la files (closes: #622473).
  * copyright:
    - Update format to the latest DEP-5
    - Add copyright info from the new upstream version

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 15 Apr 2011 20:29:49 +0200

neartree (2.1.3-1) unstable; urgency=low

  * Initial release (Closes: #550849)

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 24 Nov 2009 15:02:49 +0100
