=== debian/control ===
Source: neartree
Section: libdevel
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/neartree.git
Vcs-Git: http://git.debian.org/git/debian-science/packages/neartree.git
Homepage: http://neartree.sourceforge.net/
Build-Depends: debhelper (>= 7), libtool, libcvector2-dev
Standards-Version: 3.9.1

Package: libcneartree-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcneartree3-dev
Description: Library and headers for solving the Nearest Neighbor Problem
 Neartree is an API and a library for finding nearest neighbors among
 points in spaces of arbitrary dimensions. This package provides a C++
 template, TNear.h, and C library and header files for compiling
 programs using Neartree.
 .
 The library uses the Nearest Neighbor algorithm after Kalantari and
 McDonald, (IEEE Transactions on Software Engineering, v. SE-9, pp.
 631-634,1983) modified to use recursion instead of a double-linked tree
 and simplified so that it does less checking for things like is the
 distance to the right less than the distance to the left; it was found
 that these checks make little to no difference.

Package: libcneartree5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for solving the Nearest Neighbor Problem
 Neartree is an API and a library for finding nearest neighbors among
 points in spaces of arbitrary dimensions.
 .
 The library uses the Nearest Neighbor algorithm after Kalantari and
 McDonald, (IEEE Transactions on Software Engineering, v. SE-9, pp.
 631-634,1983) modified to use recursion instead of a double-linked tree
 and simplified so that it does less checking for things like is the
 distance to the right less than the distance to the left; it was found
 that these checks make little to no difference.
