=== debian/changelog ===
neartree (3.1.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761778.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 09:59:51 +0000

neartree (3.1.1-2) unstable; urgency=low

  * Upgrade to debhelper compat level 9 to pick up hardening flags.
  * Use multiarch library paths.
  * Add libcneartree5.symbols file.
  * control:
    - Upgrade to standards-version 3.9.4.
    - Add libcneartree5 dependency to libcneartree-dev.
  * patches/01_makefile:
    - Pick up (hardening) build flags from the environment.
    - Use a variable for library installation path to support
      multiarch paths.

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat, 25 May 2013 15:07:24 +0200

neartree (3.1.1-1) unstable; urgency=low

  * New upstream version.
  * control: Upgrade to standards-version 3.9.2.
  * copyright: Fix DEP5 format URL to please lintian. Update years.

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 28 Sep 2011 12:55:19 +0200
