=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/neartree.git
 Vcs-Git: http://git.debian.org/git/debian-science/packages/neartree.git
 Homepage: http://neartree.sourceforge.net/
-Build-Depends: debhelper (>= 7), libtool, libcvector2-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), libtool, libtool-bin, libcvector2-dev
+Standards-Version: 3.9.4
 
 Package: libcneartree-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libcneartree5 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libcneartree3-dev
 Description: Library and headers for solving the Nearest Neighbor Problem
  Neartree is an API and a library for finding nearest neighbors among
@@ -29,6 +31,8 @@
 Package: libcneartree5
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Library for solving the Nearest Neighbor Problem
  Neartree is an API and a library for finding nearest neighbors among
