=== debian/watch ===
version=3
http://sf.net/neartree/NearTree-(.*)\.tar\.gz
