=== debian/changelog ===
neartree (5.1.1+dfsg1-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:13:49 +0000

neartree (5.1.1+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063167

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 22:38:53 +0000

neartree (5.1.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Point watch file to Github
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Declare *.la files as not-installed

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2023 12:36:22 +0100

neartree (5.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Repacked source due to extra files of unknown copyright status in
    upstream release.
  * Rename libcneartree5 to libcneartree7 due to SONAME bump.
  * Add libcneartree7.symbols file.
  * Remove debian/metapatches file
  * watch: Check new releases from github, add dersionmangle.
  * rules:
    - Add get-orig-source target for dfsg-repack
    - Export Dpkg buildflags to enable hardening etc.
  * copyright:
    - Update years
    - Fix Format URL
    - Add repack explanation to Source.
    - Put license info in separate License paragraphs
  * control:
    - Standards-Version: 4.2.1
    - Point Vcs*-fields to salsa
    - Build-dep on debhelper 11 and on both libcvector-dev and
      libcvector2-dev
    - Set Priority to optional
    - Build-dep on libtool-bin instead of libtool.
  * compat: Set to 11

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 19 Oct 2018 11:00:58 +0300
