=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: neartree
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Teemu Ikonen <tpikonen@gmail.com>
 Section: libdevel
-Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Teemu Ikonen <tpikonen@gmail.com>
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/neartree.git
-Vcs-Git: http://git.debian.org/git/debian-science/packages/neartree.git
-Homepage: http://neartree.sourceforge.net/
-Build-Depends: debhelper (>= 9), libtool, libtool-bin, libcvector2-dev
-Standards-Version: 3.9.4
+Priority: optional
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+               libtool-bin,
+               libcvector-dev
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/science-team/neartree
+Vcs-Git: https://salsa.debian.org/science-team/neartree.git
+Homepage: https://neartree.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: libcneartree-dev
 Architecture: any
 Multi-Arch: same
+Depends: libcneartree7t64 (= ${binary:Version}),
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libcneartree5 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libcneartree3-dev
 Description: Library and headers for solving the Nearest Neighbor Problem
  Neartree is an API and a library for finding nearest neighbors among
@@ -28,12 +33,16 @@
  distance to the right less than the distance to the left; it was found
  that these checks make little to no difference.
 
-Package: libcneartree5
-Section: libs
+Package: libcneartree7t64
+Provides: ${t64:Provides}
+Replaces: libcneartree7
+Breaks: libcneartree7 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Library for solving the Nearest Neighbor Problem
  Neartree is an API and a library for finding nearest neighbors among
  points in spaces of arbitrary dimensions.
